ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::files::Version Struct Reference

Release version. More...

`#include <ome/files/Version.h>`

Collaboration diagram for ome::files::Version:
[legend]

## Public Member Functions
| Version (uint32_t major, uint32_t minor, uint32_t patch, const std::string &extra)
| Constructor. More...

## Public Attributes
uint32_t | major
| Major version number.
uint32_t | minor
| Minor version number.
uint32_t | patch
| Patchlevel version number.
std::string | extra
| Version suffix.

## Detailed Description

Release version.

## Constructor & Destructor Documentation

ome::files::Version::Version | ( | uint32_t | major,
|  | uint32_t | minor,
|  | uint32_t | patch,
|  | const std::string & | extra
| ) |  |

Constructor.

Parameters

  major | the major version.
  minor | the minor version.
  patch | the patchlevel version.
  extra | the version suffix.

The documentation for this struct was generated from the following files:

- ome/files/Version.h
- ome/files/Version.cpp